Bug 1988543 (CVE-2021-23418) - CVE-2021-23418 glances: XEE injection via the use of Fault to parse untrusted XML data
Summary: CVE-2021-23418 glances: XEE injection via the use of Fault to parse untrusted...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2021-23418
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1988544 1988545
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-30 18:57 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-07-30 19:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-30 19:06:55 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-07-30 18:57:45 UTC
The package glances before 3.2.1 are vulnerable to XML External Entity (XXE) Injection via the use of Fault to parse untrusted XML data, which is known to be vulnerable to XML attacks.

References:
https://github.com/nicolargo/glances/issues/1025
https://snyk.io/vuln/SNYK-PYTHON-GLANCES-1311807

Comment 1 Guilherme de Almeida Suckevicz 2021-07-30 18:58:04 UTC
Created glances tracking bugs for this issue:

Affects: epel-all [bug 1988545]
Affects: fedora-all [bug 1988544]

Comment 2 Product Security DevOps Team 2021-07-30 19:06:55 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.